# Solve the problem from the first set here

def is_prime(n):
    if n<2:
        return False
    for i in range(2,round(n**0.5)+1):
            if n%i==0:
                return False
    return True

def largest_prime_number_smaller_than_n(n):
    if n < 3:
        print("No such number exists")
        return None
    for i in range(n-1,0,-1):
        if is_prime(i):
            print("The smallest prime number smaller than {} is {}".format(n,i))
            return i

if __name__=="__main__":
    n=int(input("Please enter an positive integer number: "))
    largest_prime_number_smaller_than_n(n)